
package LRSVisitor;

import Counter.*;
import LRStructure.*;

class SetNthDat
{
  LRStruct lrs_;
	Counter ixCount_;
	Object dat_;

	/**
	 * @param ix
   * @param lrsHost
	 * @param dat 
	 */
	SetNthDat(int ix, LRStruct lrsHost, Object dat)
	{
    lrs_ = lrsHost;
    ixCount_ = new Counter (ix);
    dat_ = dat;
	}

  final Counter getCounterHost()
  {
    return ixCount_;
  }

  final LRStruct getLRSHost()
  {
    return lrs_;
  }

  final Object getDat()
  {
    return dat_;
  }

  final void setLRSHost(LRStruct lrs)
  {
    lrs_ = lrs;
  }
}

